5.1.1.8.1. Invoke Method (General Components)
Prev | 5.1.1.8. Invoke (External) Method | Next

#### 5.1.1.8.1. Invoke Method (General Components)

Invoke Method

- Use this action to invoke static methods in the AUT. The first parameter of the method has to be of the type of the Component on which this action will be executed. Exceptions that occure during the execution of the method will be shown in the ITE as action errors. You can use an IllegalStateException in your method to indicate that something went wrong, the ITE will interpret that as a check failed error.

- You have to enter the fully qualified class name, method name, method signature, method arguments and the separator for the method arguments. The result of the method is not stored, with the exception of java.util.Properties. If the method returns an Object of this type, Jubula will create variables with the names of the Properties and the corresponding values. These variables can than be further used in the test execution.

- Parameters:

  - Fully qualified Class Name

  - Method Name

  - Method Signature

  - Method Arguments

  - Method Argument Separator

  - Timeout in Millisecs

Invoke Method and Store Value

- Use this action to invoke static methods in the AUT. The first parameter of the method has to be of the type of the Component on which this action will be executed. Exceptions that occure during the execution of the method will be shown in the ITE as action errors. You can use an IllegalStateException in your method to indicate that something went wrong, the ITE will interpret that as a check failed error.

- You have to enter the fully qualified class name, method name, method signature, method arguments and the separator for the method arguments. The return value of the method will be stored as string in the given variable.

- Parameters:

  - Variable Name

  - Fully qualified Class Name

  - Method Name

  - Method Signature

  - Method Arguments

  - Method Argument Separator

  - Timeout in Millisecs